﻿* {
    border-collapse: collapse;
    vertical-align: middle;
    margin: 0;
    font-family: Tahoma;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-size-adjust: 100%;
}

@font-face {
    font-family: 'FluentSystemIcons';
    src: url('/fonts/FluentSystemIcons-Regular-hash-f3874f2d.m.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'FluentSystemIcons';
    src: url('/fonts/FluentSystemIcons-Resizable-hash-759632ec.m.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

::-webkit-scrollbar {
    width: 6px !important;
    height: 6px !important;
    border-radius: 6px;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, .2);
}

::-webkit-scrollbar-track {
    background: hsla(0, 0%, 100%, .1);
}

html,
body {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    color: #242424 !important;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-rendering: optimizeLegibility;
    font-feature-settings: "kern";
    -webkit-text-size-adjust: 100%;
    border-collapse: collapse;
}

body {
    display: flex;
    flex-direction: column;
}

main {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: auto;
    opacity: 0;
    transition: opacity 0.5s ease;
}

footer {
    flex-direction: column;
    border-bottom: 10px solid #28B34B;
    white-space: nowrap;
}

footer span.copy {
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 11px;
    text-align: center;
    width: 100%;
    padding: 2px 10px;
}

.jacsys__background {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: url(/images/logos/background.png) no-repeat;
    background-size: auto 94%;
    background-position: -15% 15px;
    opacity: 0.15;
    z-index: -1;
    background-color: rgb(242, 242, 248);
}

button {
    display: inline-block;
    border: none;
    padding: 10px 18px 10px 18px;
    -webkit-appearance: button;
    text-transform: uppercase;
    min-width: 102px;
    text-align: center;
    transition: 0.2s ease-in-out;
    -webkit-transition: 0.2s ease-in-out;
    outline: none !important;
    cursor: pointer;
    background-color: rgba(0,0,0,0.2);
}

button:hover {
    background-color: rgb(178,178,178);
}

button[type="submit"],
button[role="button"] {
    background-color: #0067b8 !important;
    color: #fff !important;
}

button[type="submit"]:hover,
button[role="button"]:hover {
    background-color: rgb(0,93,166) !important;
}

a, button {
    cursor: pointer;
}

a {
    color: #0067b8;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.page {
    display: flex;
    width: 100%;
    height: 100%;
    flex: none;
}

.page nav.menu {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    max-width: 300px;
    background-color: #F5F5F5;
    overflow: hidden;
    transition: max-width ease-in-out 0.15s;
    box-shadow: 0px 0 4px 0px rgba(0, 0, 0, 0.20);
    font-size: 14px;
}

.page nav.menu .title {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px;
}

.page nav.menu .title .logo {
    display: flex;
    flex-direction: row;
    gap: 8px;
    font-weight: bold;
    flex-grow: 1;
    align-items: center;
    font-size: 1rem;
}

.page nav.menu .profile {
    padding: 4px 8px 16px;
    font-size: 12px;
    color: #242424;
}

.page nav.menu .profile .profile_area {
    position: relative;
    background-color: #fff;
    overflow: hidden;
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);
    -webkit-box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);
    -moz-box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.20);
    border-radius: 14px;
    padding: 16px;
}

.page nav.menu .profile .profile_area select {
    width: 100%;
}

.page nav.menu .profile .profile_area .details {
    padding: 8px 0;
}

.page nav.menu .profile .profile_area .details .company {
    font-weight: bold;
}

.page nav.menu .profile .profile_area .details .user {
    color: gray;
}

.page nav.menu .profile .profile_area .actions {
    text-align: right;
    font-size: 1rem;
}

.page nav.menu .profile .profile_area .label {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.page nav.menu .items {
    flex-grow: 1;
    overflow: auto;
}

.page nav.menu .items a {
    display: block;
    width: 100%;
    padding: 12px;
    transition: 0.2s ease-in-out;
    -webkit-transition: 0.2s ease-in-out;
}

.page nav.menu .items a:hover {
    background-color: #EBEBEB;
}

.page nav.menu .items a.active {
    color: #242424;
    background-color: #CFE4FA;
    font-weight: bold;
    text-decoration: none;
}

.page nav.menu.collapsed {
    max-width: 44px;
}

.page nav.menu.collapsed .title .logo,
.page nav.menu.collapsed .profile,
.page nav.menu.collapsed .items {
    display: none;
}

button.collapse-button {
    padding: 5px;
    width: 36px;
    height: 36px;
    max-width: 36px;
    min-width: 32px;
    align-items: center;
    display: inline-flex;
    justify-content: center;
    text-decoration-line: none;
    vertical-align: middle;
    overflow: hidden;
    outline-style: none;
    border: none;
    background-color: transparent;
}

button.collapse-button span {
    align-items: center;
    display: inline-flex;
    justify-content: center;
    font-size: 20px;
    height: 20px;
    width: 20px;
}

button.collapse-button svg.filled {
    display: none;
}

button.collapse-button svg.regular {
    display: block;
}

button.collapse-button:hover svg.filled {
    display: block;
}

button.collapse-button:hover svg.regular {
    display: none;
}

.input,
select,
textarea,
textblock,
input[type="email"],
input[type="text"],
input[type="url"],
input[type="password"],
input[type="number"],
input[type="date"],
input[type="datetime-local"] {
    padding: 6px;
    border-radius: 6px;
    border: 1px solid #ccc;
    outline: none;
    font-size: 14px;
    color: inherit;
    height: 36px;
}

.input:focus,
select:focus,
textarea:focus,
textblock:focus,
input[type="email"]:focus,
input[type="text"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="number"]:focus,
input[type="date"]:focus,
input[type="datetime-local"]:focus {
    border-bottom: 2px solid #0067b8 !important;
}

input[type="text"],
textarea {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15);
}

.page_container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow: hidden;
}

.page_container main {
    padding: 16px;
    gap: 16px;
}

.page_container .page_area {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 4px;
    border-width: 0;
    -webkit-box-shadow: 0 0 2px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
    overflow: hidden;
    flex-grow: 1;
}

.page_container .page_area .page_header {
    padding: 12px;
    border-bottom: 1px solid #e0e0e0;
    flex: none;
    overflow: hidden;
}

.page_container .page_area .page_header h3 {
    flex-grow: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.page_container .page_area .page_header button {
    border: none;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    gap: 4px;
    text-transform: none;
    border-radius: 4px;
}

@media (max-width: 1024px) {

    .page_container .page_area .page_header button {
        min-width: 0 !important;
    }

    .page_container .page_area .page_header button span {
        display: none;
    }
}

.page_container .page_area .page_header .header_area {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    align-items: center;
}

.page_container .page_area .page_header .header_area .header_actions {
    flex-grow: 1;
}

.page_container .page_area .page_header .header_area .totalizer {
    position: relative;
    background-color: #f9f9f9;
    height: 100%;
    padding: 20px 12px;
    border-radius: 6px;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
    min-width: 220px;
    overflow: hidden;
}

.page_container .page_area .page_header .header_area .totalizer::before {
    content: " ";
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    border-left: 5px solid #00a650;
}

.page_container .page_area .page_header .header_area .totalizer .label {
    font-size: 12px;
    color: gray;
    white-space: nowrap;
}

.page_container .page_area .page_header .header_area .totalizer h2 {
    margin-top: 8px;
    white-space: nowrap;
}

.page_container .page_area .page_header .header_area .toolbar {
    display: flex;
    gap: 6px;
    margin: 12px 0;
    border-radius: 8px;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
    padding: 4px;
}

.page_container .page_area .page_header .header_area .toolbar .separator {
    border-left: 1px solid #e5e5e5;
    margin: 4px 0;
}

i {
    font-family: FluentSystemIcons;
    font-size: 22px;
    color: inherit;
}

.page_container .page_area .page_header button:hover {
    background-color: #f5f5f5;
}

.page_container .page_area .page_header button:active {
    background-color: #e0e0e0;
}

.page_empty {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-box-flex: 1;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    flex-grow: 1;
    justify-content: center;
    padding-bottom: 10%;
    padding-left: 38px;
    padding-right: 38px;
    gap: 12px;
    font-size: 14px;
    color: #616161;
    height: 100%;
}

.page_empty .label1 {
    color: #424242;
    font-weight: 600;
}

.gridview {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: auto;
    font-size: 1rem;
    font-size: 14px;
    color: #242424;
}

.gridview table {
    table-layout: fixed;
}

.gridview *[number] {
    text-align: right;
}

.gridview table tbody tr {
    outline: none;
}

.gridview table,
.gridview table th,
.gridview table td {
    margin: 0;
    padding: 0;
    color: inherit;
}

.gridview table th,
.gridview table td {
    -webkit-user-select: text !important;
    -moz-user-select: text !important;
    -ms-user-select: text !important;
    user-select: text !important;
    position: relative;
    /*overflow: hidden;*/
}

.gridview table th::before {
    content: " ";
    position: absolute;
    border-bottom: 1px solid #e0e0e0;
    border-right: 1px solid #e0e0e0;
    width: calc(100% - 1px);
    left: 0;
    top: 0;
    height: calc(100% - 1px);
}

.gridview table thead {
    position: sticky;
    top: 0px;
    z-index: 1;
    background-color: #fff;
}

.gridview table thead th button {
    text-align: left;
    font-weight: normal;
    padding: 8px 12px 8px 12px;
    line-height: 16px;
    height: 36px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    text-transform: none;
    background-color: #fff;
    font-size: 1em;
    width: 100%;
    cursor: pointer;
    transition: none;
    z-index: 100;
}

.gridview table tbody {
    margin-top: 1px;
}

.gridview table tbody td {
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
}

.gridview table thead th button,
.gridview table tbody td {
    text-align: left;
    font-weight: normal;
    padding: 8px 12px 8px 12px;
    line-height: 16px;
    height: 36px;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-transform: none;
    font-size: 1em;
}

.gridview table tbody td {
    border-bottom: 1px solid #e0e0e0;
}

/*
.gridview table thead th:first-of-type button,
.gridview table tbody td:first-of-type {
    padding-left: 32px;
}
*/

.gridview table tbody td {
    position: relative;
}

.gridview table thead th span,
.gridview table tbody td span {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
}

.gridview input[type=checkbox] {
    width: 16px;
    height: 16px;
    border: 1px solid #808080;
    border-radius: 2px;
    box-sizing: border-box;
    transition-property: background, border, border-color;
    transition-duration: 200ms;
    transition-timing-function: cubic-bezier(0.4, 0, 0.23, 1);
}

.gridview table tbody tr:first-of-type {
    border-top: 1px solid transparent;
}

.gridview table tbody tr:last-of-type {
    border-bottom: 1px solid transparent;
}

.gridview table tbody tr:focus {
    background-color: #CFE4FA;
    outline: 1px solid #0F6CBD;
}

.gridview table tbody tr td img {
    width: 18px;
    height: auto;
}

.gridview table tbody tr[data-unread=true] td:first-of-type::before {
    position: absolute;
    content: " ";
    left: 0;
    top: 0;
    height: 100%;
    width: 4px;
    background-color: #0F6CBD;
    transition: width ease-in-out 0.2s;
}

.gridview table tbody tr[data-unread=true] td {
    font-weight: bold;
    color: #0F6CBD;
}

.gridview table thead th button:hover,
.gridview table tbody tr:hover {
    background-color: #EBF3FC;
}

.gridview table tbody tr:active td {
    background-color: #B4D6FA;
}

.gridview table tbody tr[data-unread=true]:hover td:first-of-type::before {
    width: 6px;
}

#btnDelete {
    display: none;
}

.gridview input[type=checkbox] {
    display: none;
}

.gridview img {
    display: block;
}

#btnSelect i.selected {
    display: none;
}

#btnSelect i.unselect {
    display: block;
}

body.selecting #btnSelect i.selected,
body.selecting .gridview input[type=checkbox] {
    display: block;
}

body.selecting #btnSelect i.unselect,
body.selecting .gridview img {
    display: none;
}

.tooltip {
    position: absolute;
    background-color: darkviolet;
    color: #fff;
    padding: 8px 12px;
    border-radius: 6px;
    font-size: 14px;
    white-space: nowrap;
    left: 0;
    top: 0;
    opacity: 0;
    transition: opacity 0.5s ease;
    z-index: 100;
}

.tooltip::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 20px;
    border-width: 6px;
    border-style: solid;
    border-color: darkviolet transparent transparent transparent;
}

.tooltip-base {
    position: relative;
    cursor: pointer;
    overflow: visible;
}

#tooltip {
    position: absolute;
    pointer-events: none; /* so it doesn't block mouse */
    opacity: 0;
    transition: opacity 0.2s ease;
    background-color: #333;
    color: #fff;
    padding: 5px 8px;
    border-radius: 4px;
    font-size: 12px;
    /*white-space: nowrap; */
    z-index: 1000;
    max-width: 200px;
}

.view-more-btn {
    background-color: transparent;
    width: 24px;
    height: 24px;
    min-width: 0;
    padding: 0;
    border-radius: 4px;
}

.flex-space-between {
    display: flex;
    justify-content: space-between;
}

.width-100-percent {
    width: 100%;
}

.inline-block {
    display: inline-block;
}

.block {
    display: block;
}

.moreinfo-textarea {
    width: 100%;
    height: 100px;
    resize: none;
}

.padding-right-5 {
    padding-right: 5px;
}

.padding-bottom-5 {
    padding-bottom: 5px;
}

.margin-top-3 {
    margin-top: 3px;
}

.spacer {
    width: 100%;
    border-bottom: 2px solid rgba(0, 0, 0, 0.2);
    padding-bottom: 10px;
}

.spacer-below {
    padding-top: 5px;
}

.text-align-right {
    text-align: right;
}

.emailField {
    width: 100%;
    border: none !important;
    border-radius: 0 !important;
    border-bottom: 1px solid black !important;
}

.display-none {
    display: none;
}

.z-index-1 {
    z-index: 1;
}

.moreinfo-close-svg {
    width: 12px;
    height: 12px;
}

#userContainer {
    height: 100vh;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    grid-auto-rows: min-content; /* shrink rows to content */
    gap: 22px; /* replaces margin */
    overflow-y: auto;
    padding: 32px;
    padding-bottom: 142px;
    scroll-behavior: smooth;
}

.userEntry {
    display: flex;
    position: relative;
    flex-wrap: wrap;
    border: 1px solid rgb(224, 224, 224);
    border-radius: 10px;
    padding: 15px;
    padding-bottom: 12px;
    color: #474747;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08), 0 1px 3px rgba(0, 0, 0, 0.1);
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    background-color: none;
    background: repeating-linear-gradient( 225deg, #0c0c0c04 0px, #0c0c0c04 10px, transparent 10px, transparent 20px );
    transition: background-color 0.3s ease;
    transition: border-color 0.3s ease;
}

.userEntry:hover {
    background-color: #EBF3FC;
    border-color: rgb(15, 108, 189);
}

.userEntryTitle {
    font-weight: bold;
    text-align: left;
    height: 1.5em;
    margin-bottom: 5px;
    -webkit-font-smoothing: antialiased; /* Chrome, Safari */
    -moz-osx-font-smoothing: grayscale; /* Firefox on Mac */
    text-rendering: optimizeLegibility;
    font-family: "Inter", "Segoe UI", "Helvetica Neue", Arial, sans-serif;
}

.userEntryTitleGroup {
    flex: 0 0 auto;
    margin-right: 20px;
}

.userEntryContentGroup {
    flex: 1 1 auto;
    min-width: 0;
    max-width: calc(100% - 186px);
}

.userEntryContent {
    display: flex;
    justify-content: space-between;
    width: 100%;
    min-width: 0;
    height: 1.5em;
    margin-bottom: 5px;
    -webkit-font-smoothing: antialiased; /* Chrome, Safari */
    -moz-osx-font-smoothing: grayscale; /* Firefox on Mac */
    text-rendering: optimizeLegibility;
    font-family: "Inter", "Segoe UI", "Helvetica Neue", Arial, sans-serif;
}

.userEntryImage {
    position: absolute;
    bottom: 0;
    right: 0;
    transform: translate(-15px, calc(-50% + 10px));
    border: 1px solid #ababab;
    border-radius: 10px;
    background-color: white;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.16), 0 1px 3px rgba(0, 0, 0, 0.2);
    /*filter: grayscale(60%);*/
    filter: sepia(100%) saturate(200%) hue-rotate(180deg) brightness(100%) contrast(100%) grayscale(50%);
    opacity: 1;
    pointer-events: all;
    transition: opacity 0.3s ease;
}

.userEntry:hover .userEntryImage {
    opacity: 0;
    pointer-events: none;
}

.userEntityContentSpan {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.userEntityContentCopy {
    width: 1px;
    height: 1px;
    position: relative;
    display: flex;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

.userEntryContent:hover .userEntityContentCopy {
    opacity: 1;
    pointer-events: all;
}

.userEntityContentCopyEntry {
    position: absolute;
    right: 0;
    transform: translate(0, -2px);
    width: 25px;
    height: 25px;
    background-color: green;
    border: 1px solid #ababab;
    border-radius: 5px;
    background-color: white;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.16), 0 1px 3px rgba(0, 0, 0, 0.2);
    background-image: url('/images/copy.svg');
    background-size: 22px 20px; /* ensures the SVG scales */
    background-position: 2px 0px;
    background-repeat: no-repeat; /* prevents repeat */
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.userEntityContentCopyEntry:hover {
    background-color: #dedede;
}

.counter-items {
    font-size: 10px !important;
    display: inline-block;
    min-width: 20px;
    min-height: 1em;
    font-size: 12px;
    font-weight: 600;
    line-height: 1em;
    vertical-align: top;
    padding: 0.3em 0.4em 0.4em;
    text-align: center;
    background-color: rgb(6, 215, 85);
    color: white;
    border-radius: 1.1em;
    flex: none;
}

.cnpj-desc {
    position: relative;
    width: 100%;
    padding: 10px 32px;
    margin: 10px auto;
    background-color: #efd9fd;
    color: #3b2e58;
    border-radius: .375rem;
    word-wrap: break-word;
    word-break: break-word;
    font-size: 1rem;
    line-height: 1.3;
    border: 1px solid #efd9fd;
    transition: height .5s ease-in, opacity .5s ease-in;
}

.msgOkRow {
    margin-top:24px;
    align-items: start;
}

.cotEmailFieldContainer {
    display:flex;
    gap:8px;
    align-items:center;
}

.cotEmailFieldText {
    font-size:14px;
}
